## bacula 7.0.5%2Bdfsg

=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Carsten Leonhardt <leo@debian.org>
Build-Depends:
 autoconf,
 autotools-dev,
 bc,
 debhelper (>= 9),
 libacl1-dev,
 libcap-dev [linux-any],
 libgnome2-dev,
 libgnomeui-dev,
 libgtk2.0-dev,
 libkrb5-dev,
 liblzo2-dev,
 libmysqlclient-dev,
 libpq-dev (>= 9.1),
 libqt4-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev,
 libwrap0-dev,
 libx11-dev,
 libxt-dev,
 mtx [!hurd-any],
 po-debconf,
 postgresql-server-dev-all,
 zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-bacula/bacula.git
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Depends: bacula-client, bacula-server, ${misc:Depends}
Suggests: bacula-doc
Description: network backup service - metapackage
 Bacula is a set of programs to manage backup, recovery, and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Replaces: bacula-director-common
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Description: network backup service - common support files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common (= ${binary:Version}), ${misc:Depends}
Description: network backup service - common support files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common.

Package: bacula-common-sqlite3
Architecture: any
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-mysql, bacula-common-pgsql
Description: network backup service - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.

Package: bacula-common-sqlite3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-sqlite3 (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-mysql-dbg, bacula-common-pgsql-dbg
Description: network backup service - SQLite v3 common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-sqlite3.

Package: bacula-common-pgsql
Architecture: any
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-mysql, bacula-common-sqlite3
Description: network backup service - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-pgsql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-pgsql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-mysql-dbg, bacula-common-sqlite3-dbg
Description: network backup service - PostgreSQL common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-pgsql.

Package: bacula-common-mysql
Architecture: any
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-pgsql, bacula-common-sqlite3
Description: network backup service - MySQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-common-mysql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-common-mysql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-common-pgsql-dbg, bacula-common-sqlite3-dbg
Description: network backup service - MySQL common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-common-mysql.

Package: bacula-director-common
Architecture: any
Depends:
 bacula-common (= ${binary:Version}),
 bsd-mailx | mailx,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - Director common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides common files for the Bacula Director daemon.

Package: bacula-director-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), ${misc:Depends}
Description: network backup service - Director common files (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for bacula-director-common.

Package: bacula-director-sqlite3
Architecture: any
Depends:
 bacula-common-sqlite3
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-common,
 file,
 sqlite3,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Suggests: gawk, ${perl:Depends}
Description: network backup service - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in an SQLite 3 database, and thus is
 suitable for smaller installations.

Package: bacula-director-sqlite3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-sqlite3 (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - SQLite 3 storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-sqlite3.

Package: bacula-director-mysql
Architecture: any
Depends:
 bacula-common-mysql
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-common,
 mysql-client | virtual-mysql-client,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: mysql-server | virtual-mysql-server
Suggests: gawk, ${perl:Depends}
Description: network backup service - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a MySQL database, and thus is
 suitable for large installations.

Package: bacula-director-mysql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-mysql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - MySQL storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-mysql.

Package: bacula-director-pgsql
Architecture: any
Depends:
 bacula-common-pgsql
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-common,
 postgresql-client (>= 7.4),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: postgresql (>= 7.4)
Suggests: gawk, postgresql-contrib, postgresql-doc, ${perl:Depends}
Description: network backup service - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a PostgreSQL database, and thus is
 suited for large installations.

Package: bacula-director-pgsql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bacula-director-pgsql (= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director-dbg
Provides: bacula-director-dbg
Replaces: bacula-director-dbg
Description: network backup service - PostgreSQL storage for Director (debugging)
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides the debugging symbols for bacula-director-pgsql.

Package: bacula-client
Architecture: all
Depends:
 bacula-console (>= ${source:Version}),
 bacula-fd
 (>= ${source:Version}),
 ${misc:Depends}
Description: network backup service - client metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a metapackage for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Depends:
 bacula-common (= ${binary:Version}),
 lsb-base,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - file daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.

Package: bacula-fd-dbg
Section: debug
Priority: extra
Architecture: any

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsgreal// \
http://sf.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)\.tar\.gz debian uupdate

## bacula 7.0.5+dfsg

=== src/plugins/Makefile ===
#
# Simple Makefile for building test plugins for Bacula
#

first_rule: all
dummy:

all: dir fd sd

dir:	dummy
	(cd dir && make DESTDIR=$(DESTDIR) || exit 1)
	@echo

fd:	dummy
	(cd fd && make DESTDIR=$(DESTDIR) || exit 1)
	@echo

sd:	dummy
	(cd sd && make DESTDIR=$(DESTDIR) || exit 1)
	@echo


clean:
	(cd dir && make DESTDIR=$(DESTDIR) clean || exit 1)
	(cd fd && make DESTDIR=$(DESTDIR) clean || exit 1)
	(cd sd && make DESTDIR=$(DESTDIR) clean || exit 1)

=== debian/changelog ===
bacula (7.0.5+dfsg-4ubuntu0.1) xenial; urgency=medium

  * debian/patches/libmysqlclient_r.patch: Fix bug where MySQL 5.7 is
    improperly linked on Ubuntu 16.04.  Closes LP: #1570923.
  * debian/patches/disable_mysql_NO_ZERO_DATE.patch: Disable
    NO_ZERO_DATE mode for MySQL table creation.  Closes LP: #1591397,
    LP: #1577858.
  * d/rules: do not use -Bsymoblic-functions when linking. Closes
    LP: #1553563, LP: #1567824.
  * debian/patches/fix_batch_mode.patch: Detect that MySQL 5.7 is thread
    safe and enable batch mode.  Closes LP: #1592749.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 15 Jul 2016 14:34:59 -0700

bacula (7.0.5+dfsg-4build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:13:55 +0000

bacula (7.0.5+dfsg-4) unstable; urgency=medium

  * Improve debian/rules and fix it to allow architecture dependent and
    independent builds. (Closes: #806605).
  * Change most doc directories to symlinks to bacula-common
  * Added note in README.Debian about usage of hostnames in Address
    directives. (Closes: #522372).

 -- Carsten Leonhardt <leo@debian.org>  Wed, 02 Dec 2015 00:38:33 +0100

bacula (7.0.5+dfsg-3) unstable; urgency=low

  * Corrected logrotate configuration. (Closes: #694046, #716666)
  * Stop daemon in bacula-director-*.prerm unconditionally to fix issue on
    kfreebsd where the old daemon would keep running
  * Bump debhelper compat level to 9 and enable hardening for bat
    (Closes: #736461)
  * No longer install menu file, as per tech-ctte decision on #741573

 -- Carsten Leonhardt <leo@debian.org>  Sun, 15 Nov 2015 23:28:52 +0100

bacula (7.0.5+dfsg-2) unstable; urgency=medium

  * Removed inactive uploaders, added myself
  * Added Suggests for perl/python where appropriate for scripts in
    /etc/bacula/scripts
  * debian/patches/fix-manpage-bconsole8.patch: fix typo in manpage
    (upstream bug 2182)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Nov 2015 19:44:43 +0100

bacula (7.0.5+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release (Closes: #680714, #793794)
    - bsmtp can be called with "-a" or "-6" flag for IPv6-only hosts
      (Closes: #742914)
  * bacula-traymonitor, wx-console and python support have been removed
    upstream (Closes: #592843)
  * Updated debian/patches/fix-default-config
  * Updated debian/patches/ppc64el-libtoolize.patch
  * Refreshed several patches
  * debian/NEWS: document major changes
  * systemd tmpfiles.d location was fixed in unreleased 5.2.13+dfsg-1
    (Closes: #698978)
  * Enable support for LZO compression (Closes: #734361)
  * delete bacula-dir.conf during purge of bacula-director-common
    instead of bacula-director-*sql* (Closes: #755089)
  * set scripts/delete_catalog_backup as executable
    (Closes: #714161, #718641)
  * debian/patches/add-basic-kfreebsd-support.patch:
    + better support for GNU/kFreeBSD ("onefs=no" works) (upstream 2156)
  * don't install systemd related files on non-linux ports
  * Added note to README.Debian about usage of hostnames for listening
    addresses (Closes: #679479)
  * Better documentation of password handling on installation. Thanks to
    Alberto Fuentes. (Closes: #742228)
  * Fixed typo in sqlite3 database update script. (Closes: #714141)
  * Update Standards-Version to 3.9.6. No changes required.
  * Change linking the docs from bacula to bacula-server. Because these
    are both "Architecture: all" it avoids breakage with binNMUs.
    (Closes: #804566).

 -- Carsten Leonhardt <leo@debian.org>  Tue, 10 Nov 2015 14:06:42 +0100

bacula (5.2.13+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches/fix-binutils-gold-linking.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/xattr-btrfs-crash.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/fix-mysql-autoconf.patch:
    - Removed, fixed in upstream 5.2.7
  * debian/patches/fix-readline-ncurses-depends.patch:
    - Removed, fixed in upstream 5.2.8
  * debian/patches/fix-save-only-one-xattr.patch
    - Removed, fixed in upstream 5.2.8
  * debian/patches/add-systemd-bacula.conf-for-piddir.patch:
    - Removed, fixed in upstream 5.2.8
  * debian/patches/fix-example-script-syntax:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/fix-manpages:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/path-to-logdir.patch:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/remove-use-statement-for-mysql.patch:
    - Removed, fixed in upstream 5.2.11
  * debian/patches/fix_dump_resources_acl.patch:
    - Removed, fixed in upstream 5.2.12
  * Updated debian/patches/fix-scriptdir-examples-devices.patch
  * Updated debian/patches/switch-nonfree-sha1-to-openssl.patch
  * Updated debian/patches/fix-libbaccats-rpath.patch
  * Upstream has fixed their bug #1859 in 5.2.11 (Closes: #721930).
  * debian/po/tr.po:
    + Added Turkish debconf messages. Thanks to Mert Dirik.
      (Closes: #759873)
  * debian/po/pt_BR.po:
    + Added Brazilian Portuguese debconf messages. Thanks to J. S. Júnior.
      (Closes: #718492)
  * Add virtual-mysql-server /-client as alternative dependency
    (Closes: #732879)
  * Updated debian/bacula-common.preinst to specify "--home" on call to
    "adduser" instead of changing later with "usermod" [lintian]
  * debian/patches/fix-systemd-tmpfiles.d-location.patch:
    + change systemd tmpfiles.d location [lintian]
  * debian/patches/fix-src-tools-make-clean.patch:
    + fix "make clean" to delete all binaries in src/tools (upstream bug 2150)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 20 Jul 2015 11:58:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bacula
 Section: admin
 Priority: optional
-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
 Uploaders: Carsten Leonhardt <leo@debian.org>
 Build-Depends:
  autoconf,
@@ -331,6 +332,3 @@
  the Director, and also for the file system-dependent part of restoration.
 
 Package: bacula-fd-dbg
-Section: debug
-Priority: extra
-Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DBGPKGS := $(shell sed -n -e 's/Package: \(.*\)-dbg/\1/p' debian/control)

VARIANTS := pgsql mysql sqlite3

######################################################################

DBC := usr/share/dbconfig-common/data/

CONF_ALL	= \
	--enable-smartalloc \
	--with-tcp-wrappers \
	--with-openssl \
	--with-libiconv-prefix=/usr/include \
	--with-readline=/usr/include/readline \
	--disable-conio \
	--with-libintl-prefix=/usr/include \
	--docdir=\$${prefix}/share/doc/bacula-common \
	--htmldir=\$${prefix}/share/doc/bacula-common/html \
	--libdir=\$${prefix}/lib/bacula \
	--enable-batch-insert \
	--enable-ipv6 \
	--with-dir-password=XXX_DIRPASSWORD_XXX \
	--with-fd-password=XXX_FDPASSWORD_XXX \
	--with-sd-password=XXX_SDPASSWORD_XXX \
	--with-mon-dir-password=XXX_MONDIRPASSWORD_XXX \
	--with-mon-fd-password=XXX_MONFDPASSWORD_XXX \
	--with-mon-sd-password=XXX_MONSDPASSWORD_XXX \
	--with-db-name=XXX_DBNAME_XXX \
	--with-db-user=XXX_DBUSER_XXX \
	--with-db-password=XXX_DBPASSWORD_XXX \
	--config-cache \
	--with-archivedir=/nonexistant/path/to/file/archive/dir \
	--sysconfdir=/etc/bacula \
	--with-scriptdir=/etc/bacula/scripts \
	--sharedstatedir=/var/lib/bacula \
	--localstatedir=/var/lib/bacula \
	--with-logdir=/var/log/bacula \
	--with-pid-dir=/var/run/bacula \
	--with-smtp-host=localhost \
	--with-working-dir=/var/lib/bacula \
	--with-subsys-dir=/var/lock \
	--with-dump-email=root \
	--with-job-email=root \
	--with-mysql --with-postgresql --with-sqlite3 \
	--enable-bat --with-x

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONF_ALL	+= --with-systemd=/lib/systemd/system
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONF_ALL	+= --disable-acl --disable-xattr
endif

#set to 1 if configured with systemd
HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))

LONGNAME_mysql		= mysql
LONGNAME_pgsql		= postgresql
LONGNAME_sqlite3	= sqlite3

###########################################################################

# Macro for generate file for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-subst
sed -e 's/XX_DB_XX/$(2)/' -e 's/XX_DBLONGNAME_XX/$(LONGNAME_$(2))/' '$(1)' >'$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for cleanup file generated for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-cleanup
rm -f '$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for generate from all templates files for specified database
# args: 1 -- db type
define db-templates-subst
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-subst,$(template),$(1)))
endef

# Macro for cleanup all files generated for specified database from templates
# args: 1 -- db type
define db-templates-cleanup
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-cleanup,$(template),$(1)))
endef

%:
	dh $@ --with autotools_dev --parallel

override_dh_shlibdeps:
	# Handle shlibs for the database packages specially so they get
	# the deps on the correct libraries.
	dh_shlibdeps -pbacula-sd-mysql -Lbacula-common-mysql
	dh_shlibdeps -pbacula-director-mysql -Lbacula-common-mysql
	dh_shlibdeps -pbacula-sd-sqlite3 -Lbacula-common-sqlite3
	dh_shlibdeps -pbacula-director-sqlite3 -Lbacula-common-sqlite3
	dh_shlibdeps -pbacula-sd-pgsql -Lbacula-common-pgsql
	dh_shlibdeps -pbacula-director-pgsql -Lbacula-common-pgsql
	# Now build all other shlibdeps.
	dh_shlibdeps -a -Nbacula-sd-mysql -Nbacula-director-mysql \
		-Nbacula-sd-sqlite3 -Nbacula-director-sqlite3 \
		-Nbacula-sd-pgsql -Nbacula-director-pgsql

override_dh_installinit-arch:
	dh_installinit -pbacula-sd -- defaults 90 10
	dh_installinit -pbacula-fd -- defaults 91 9
	dh_installinit -pbacula-director-common --name=bacula-director --no-start -- defaults 92 8

override_dh_install-arch:
	dh_install -a
	######### dbconfig-common stuff
	# Sometimes the latest release doesn't have a copy of the data in updatedb.
	# Manually install those. CHECK THIS FOR EACH NEW RELEASE!
	#
	# lenny -> squeeze is 10 -> 12
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 3.0.0 11)) # 3.0.0 upgrade 10 to 11
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.0.0 12)) # 5.0.0 upgrade 11 to 12
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.2.0))    # 5.2.0 upgrade 12 to 14
	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db)))
	# fix database type in some scripts
	$(foreach db,$(VARIANTS),sed -i \
	  -e "s/XX_DB_XX/$(db)/" \
		-e "s/XX_DBLONGNAME_XX/$(LONGNAME_$(db))/" \
		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup \
		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup.pl;)
ifeq ($(HAVE_SYSTEMD),1)
	# only install systemd related files if systemd is enabled during build
	install -m 644 platforms/systemd/bacula.conf -D debian/bacula-common/usr/lib/tmpfiles.d/bacula.conf
endif

override_dh_installdocs:
	dh_installdocs -pbacula --link-doc=bacula-server
	dh_installdocs -Nbacula-common -Nbacula-client -Nbacula-server --remaining-packages --link-doc=bacula-common
	dh_installdocs --remaining-packages

# avoid compiling anything when building the metapackages
override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:

override_dh_auto_configure-arch:
	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
	autoconf -I autoconf/ -o configure autoconf/configure.in
	dh_auto_configure -- $(CONF_ALL)

override_dh_strip:
	for pkg in $(DBGPKGS); do \
		dh_strip -p$$pkg --dbg-package=$$pkg-dbg; \
		done
	dh_strip

override_dh_makeshlibs:
	dh_makeshlibs -n -Xbpipe-fd.so
	# fix shlibs for bacula-common-* (XXX quite probably needs reviewing)
	$(foreach db,$(VARIANTS), sed -i 's/libbaccats-[a-z0-9]*/libbaccats/' debian/bacula-common-$(db)/DEBIAN/shlibs;)

override_dh_clean:
	$(foreach db,$(VARIANTS),$(call db-templates-cleanup,$(db)))
	dh_autotools-dev_restoreconfig
	dh_clean

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod -x debian/bacula-sd/etc/bacula/scripts/mtx-changer.conf
	chmod -x debian/bacula-common/usr/share/doc/bacula-common/examples/nagios/check_bacula/README

override_dh_auto_test:

## bacula 7.4.1~dfsg

=== debian/changelog ===
bacula (7.4.1~dfsg-1) unstable; urgency=high

  * New upstream release
  * skip old check for unsafe passwords if bacula-dir.conf doesn't
    pre-exist
  * improved handling of "optional" part postgresql database upgrade
  * removed native systemd support pending a working solution which takes
    care not to introduce a regression of #825064 (Closes: #826163)
  * make the timeout before killing bacula-sd from init script configurable,
    see STOPTIMEOUT in /etc/default/bacula-sd.conf
  * switch dependencies on dbconfig-common to new dbconfig-* packages

 -- Carsten Leonhardt <leo@debian.org>  Thu, 09 Jun 2016 20:08:16 +0200

bacula (7.4.0.a~dfsg-1) unstable; urgency=medium

  * Upstream bug fix release 7.4.0a from git

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2016 14:40:54 +0200

bacula (7.4.0+dfsg-3) unstable; urgency=medium

  * install help files for bat (Closes: #705137)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 30 May 2016 01:10:04 +0200

bacula (7.4.0+dfsg-2) unstable; urgency=medium

  * Test config before attempting to start daemons via init scripts
    (Closes: #825064)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 29 May 2016 20:15:01 +0200

bacula (7.4.0+dfsg-1) unstable; urgency=low

  * New upstream release
    - Integrates fix for .bvfs_update (Closes: #737821)
    - patches removed because they are fixed upstream:
       fix-manpage-bconsole8.patch, ppc64el-libtoolize.patch,
       fix-src-tools-make-clean.patch,
       fix-update-sqlite3-12to14.patch, add-basic-kfreebsd-support.patch
  * now compiles on hurd
  * updated debian/copyright
  * refreshed debian/patches/fix-default-config,
      switch-nonfree-sha1-to-openssl.patch
  * *-dbg packages no longer provided, please use the automatic dbgsym
    packages if needed
  * Update Standards-Version to 3.9.8. No changes required.
  * bacula-director-pgsql no longer suggests postgresql-doc
  * created new scripts to cope with new database update scripts
  * added patch to fix update script for postgresql databases

 -- Carsten Leonhardt <leo@debian.org>  Sun, 22 May 2016 23:41:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bacula
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
+Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
 Uploaders: Carsten Leonhardt <leo@debian.org>
 Build-Depends:
  autoconf,
@@ -29,7 +28,7 @@
  po-debconf,
  postgresql-server-dev-all,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-bacula/bacula.git
 Homepage: http://www.bacula.org/
@@ -62,17 +61,6 @@
  .
  This package provides files that are useful for other Bacula packages.
 
-Package: bacula-common-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-common (= ${binary:Version}), ${misc:Depends}
-Description: network backup service - common support files (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides debugging symbols for bacula-common.
-
 Package: bacula-common-sqlite3
 Architecture: any
 Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
@@ -85,18 +73,6 @@
  This package provides files that are useful for other Bacula packages
  for the SQLite v3 database.
 
-Package: bacula-common-sqlite3-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-common-sqlite3 (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-common-mysql-dbg, bacula-common-pgsql-dbg
-Description: network backup service - SQLite v3 common files (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides debugging symbols for bacula-common-sqlite3.
-
 Package: bacula-common-pgsql
 Architecture: any
 Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
@@ -109,18 +85,6 @@
  This package provides files that are useful for other Bacula packages
  for the PostgreSQL database.
 
-Package: bacula-common-pgsql-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-common-pgsql (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-common-mysql-dbg, bacula-common-sqlite3-dbg
-Description: network backup service - PostgreSQL common files (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides debugging symbols for bacula-common-pgsql.
-
 Package: bacula-common-mysql
 Architecture: any
 Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
@@ -132,18 +96,6 @@
  .
  This package provides files that are useful for other Bacula packages
  for the MySQL database.
-
-Package: bacula-common-mysql-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-common-mysql (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-common-pgsql-dbg, bacula-common-sqlite3-dbg
-Description: network backup service - MySQL common files (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides debugging symbols for bacula-common-mysql.
 
 Package: bacula-director-common
 Architecture: any
@@ -163,24 +115,13 @@
  .
  This package provides common files for the Bacula Director daemon.
 
-Package: bacula-director-common-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-director-common (= ${binary:Version}), ${misc:Depends}
-Description: network backup service - Director common files (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides debugging symbols for bacula-director-common.
-
 Package: bacula-director-sqlite3
 Architecture: any
 Depends:
  bacula-common-sqlite3
  (>= ${binary:Version}),
  bacula-director-common (= ${binary:Version}),
- dbconfig-common,
+ dbconfig-sqlite3 | dbconfig-no-thanks,
  file,
  sqlite3,
  ucf,
@@ -201,27 +142,13 @@
  This package stores Bacula's catalog in an SQLite 3 database, and thus is
  suitable for smaller installations.
 
-Package: bacula-director-sqlite3-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-director-sqlite3 (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-director-dbg
-Provides: bacula-director-dbg
-Replaces: bacula-director-dbg
-Description: network backup service - SQLite 3 storage for Director (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides the debugging symbols for bacula-director-sqlite3.
-
 Package: bacula-director-mysql
 Architecture: any
 Depends:
  bacula-common-mysql
  (>= ${binary:Version}),
  bacula-director-common (= ${binary:Version}),
- dbconfig-common,
+ dbconfig-mysql | dbconfig-no-thanks,
  mysql-client | virtual-mysql-client,
  ucf,
  ${misc:Depends},
@@ -242,27 +169,13 @@
  This package stores Bacula's catalog in a MySQL database, and thus is
  suitable for large installations.
 
-Package: bacula-director-mysql-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-director-mysql (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-director-dbg
-Provides: bacula-director-dbg
-Replaces: bacula-director-dbg
-Description: network backup service - MySQL storage for Director (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides the debugging symbols for bacula-director-mysql.
-
 Package: bacula-director-pgsql
 Architecture: any
 Depends:
  bacula-common-pgsql
  (>= ${binary:Version}),
  bacula-director-common (= ${binary:Version}),
- dbconfig-common,
+ dbconfig-pgsql | dbconfig-no-thanks,
  postgresql-client (>= 7.4),
  ucf,
  ${misc:Depends},
@@ -271,7 +184,7 @@
 Provides: bacula-director
 Replaces: bacula-director
 Recommends: postgresql (>= 7.4)
-Suggests: gawk, postgresql-contrib, postgresql-doc, ${perl:Depends}
+Suggests: gawk, postgresql-contrib, ${perl:Depends}
 Description: network backup service - PostgreSQL storage for Director
  Bacula is a set of programs to manage backup, recovery, and verification of
  data across a network of computers of different kinds.
@@ -282,20 +195,6 @@
  .
  This package stores Bacula's catalog in a PostgreSQL database, and thus is
  suited for large installations.
-
-Package: bacula-director-pgsql-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: bacula-director-pgsql (= ${binary:Version}), ${misc:Depends}
-Conflicts: bacula-director-dbg
-Provides: bacula-director-dbg
-Replaces: bacula-director-dbg
-Description: network backup service - PostgreSQL storage for Director (debugging)
- Bacula is a set of programs to manage backup, recovery, and verification of
- data across a network of computers of different kinds.
- .
- This package provides the debugging symbols for bacula-director-pgsql.
 
 Package: bacula-client
 Architecture: all
@@ -331,4 +230,115 @@
  responsible for providing the file attributes and data when requested by
  the Director, and also for the file system-dependent part of restoration.
 
-Package: bacula-fd-dbg
+Package: bacula-server
+Architecture: all
+Depends:
+ bacula-director-sqlite3 (>= ${source:Version}) | bacula-director,
+ bacula-sd (>= ${source:Version}),
+ bacula-sd-sqlite3 (>= ${source:Version}) | bacula-sd-tools,
+ ${misc:Depends}
+Recommends: bacula-fd
+Description: network backup service - server metapackage
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .
+ This metapackage provides a standard server install, consisting of the
+ director and storage daemons.
+
+Package: bacula-sd
+Architecture: any
+Depends:
+ bacula-common (= ${binary:Version}),
+ lsb-base,
+ mtx [!hurd-any],
+ ucf,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: bacula-sd-sqlite3 (>= ${source:Version}) | bacula-sd-tools, mt-st
+Suggests: dds2tar, python, scsitools, sg3-utils
+Description: network backup service - storage daemon
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .
+ The storage daemon performs the storage and recovery of the file
+ attributes and data to the physical media; in other words, it is
+ responsible for reading and writing the backups.
+ .
+ It runs on the machine which has access to the backup device(s) - usually
+ a tape drive, but alternatively other storage media, such as files.
+
+Package: bacula-sd-sqlite3
+Architecture: any
+Depends:
+ bacula-common-sqlite3 (>= ${binary:Version}),
+ bacula-sd (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: bacula-sd-tools
+Replaces: bacula-sd-tools
+Provides: bacula-sd-tools
+Description: network backup service - SQLite 3 SD tools
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .
+ The storage daemon performs the storage and recovery of the file
+ attributes and data to the physical media; in other words, it is
+ responsible for reading and writing the backups.
+ .
+ This package contains SQLite 3 versions of the bscan and bcopy utilities,
+ which are used for recovery when Bacula's catalog is unavailable.
+
+Package: bacula-sd-mysql
+Architecture: any
+Depends:
+ bacula-common-mysql
+ (>= ${binary:Version}),
+ bacula-sd (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: bacula-sd-tools
+Replaces: bacula-sd-tools
+Provides: bacula-sd-tools
+Description: network backup service - MySQL SD tools
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .
+ The storage daemon performs the storage and recovery of the file
+ attributes and data to the physical media; in other words, it is
+ responsible for reading and writing the backups.
+ .
+ This package contains MySQL versions of the bscan and bcopy utilities,
+ which are used for recovery when Bacula's catalog is unavailable.
+
+Package: bacula-sd-pgsql
+Architecture: any
+Depends:
+ bacula-common-pgsql
+ (>= ${binary:Version}),
+ bacula-sd (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: bacula-sd-tools
+Replaces: bacula-sd-tools
+Provides: bacula-sd-tools
+Description: network backup service - PostgreSQL SD tools
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .
+ The storage daemon performs the storage and recovery of the file
+ attributes and data to the physical media; in other words, it is
+ responsible for reading and writing the backups.
+ .
+ This package contains PostgreSQL versions of the bscan and bcopy utilities,
+ which are used for recovery when Bacula's catalog is unavailable.
+
+Package: bacula-console
+Architecture: any
+Depends:
+ bacula-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: network backup service - text console
+ Bacula is a set of programs to manage backup, recovery, and verification of
+ data across a network of computers of different kinds.
+ .

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,10 @@
 
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DBGPKGS := $(shell sed -n -e 's/Package: \(.*\)-dbg/\1/p' debian/control)
 
 VARIANTS := pgsql mysql sqlite3
+VERSION := $(shell sed -n -e 's/^\#define VERSION.*"\(.*\)"$$/\1/p' src/version.h)
 
 ######################################################################
 
@@ -51,16 +49,16 @@
 	--with-mysql --with-postgresql --with-sqlite3 \
 	--enable-bat --with-x
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONF_ALL	+= --with-systemd=/lib/systemd/system
-endif
+#ifeq ($(DEB_HOST_ARCH_OS),linux)
+#CONF_ALL	+= --with-systemd=/lib/systemd/system
+#endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CONF_ALL	+= --disable-acl --disable-xattr
 endif
 
 #set to 1 if configured with systemd
-HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))
+#HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))
 
 LONGNAME_mysql		= mysql
 LONGNAME_pgsql		= postgresql
@@ -72,7 +70,7 @@
 # args: 1 -- template file
 #       2 -- db type
 define template-subst
-sed -e 's/XX_DB_XX/$(2)/' -e 's/XX_DBLONGNAME_XX/$(LONGNAME_$(2))/' '$(1)' >'$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
+sed -e 's/XX_DB_XX/$(2)/' -e 's/XX_DBLONGNAME_XX/$(LONGNAME_$(2))/' -e 's/XX_VERSION_XX/$(VERSION)/' '$(1)' >'$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
 endef
 
 # Macro for cleanup file generated for specified database from specified template
@@ -125,18 +123,20 @@
 	# lenny -> squeeze is 10 -> 12
 	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 3.0.0 11)) # 3.0.0 upgrade 10 to 11
 	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.0.0 12)) # 5.0.0 upgrade 11 to 12
-	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db) 5.2.0))    # 5.2.0 upgrade 12 to 14
-	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db)))
+	debian/scripts/install-dbconfig-upgrade # handles install of all upgrade scripts to db version 13 and greater
+	$(foreach db,$(VARIANTS),$(shell debian/scripts/install-dbconfig $(db)))	  # new installs
 	# fix database type in some scripts
 	$(foreach db,$(VARIANTS),sed -i \
 	  -e "s/XX_DB_XX/$(db)/" \
 		-e "s/XX_DBLONGNAME_XX/$(LONGNAME_$(db))/" \
 		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup \
 		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup.pl;)
-ifeq ($(HAVE_SYSTEMD),1)
-	# only install systemd related files if systemd is enabled during build
-	install -m 644 platforms/systemd/bacula.conf -D debian/bacula-common/usr/lib/tmpfiles.d/bacula.conf
-endif
+#ifeq ($(HAVE_SYSTEMD),1)
+#	# only install systemd related files if systemd is enabled during build
+#	install -m 644 platforms/systemd/bacula-fd.service -D debian/bacula-fd/lib/systemd/system/bacula-fd.service
+#	install -m 644 platforms/systemd/bacula-sd.service -D debian/bacula-sd/lib/systemd/system/bacula-sd.service
+#	install -m 644 platforms/systemd/bacula-dir.service -D debian/bacula-director-common/lib/systemd/system/bacula-director.service
+#endif
 
 override_dh_installdocs:
 	dh_installdocs -pbacula --link-doc=bacula-server
@@ -152,12 +152,6 @@
 	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
 	autoconf -I autoconf/ -o configure autoconf/configure.in
 	dh_auto_configure -- $(CONF_ALL)
-
-override_dh_strip:
-	for pkg in $(DBGPKGS); do \
-		dh_strip -p$$pkg --dbg-package=$$pkg-dbg; \
-		done
-	dh_strip
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n -Xbpipe-fd.so
